Add mako files to MANIFEST #980

Merged
merged 1 commit into from May 11, 2017

Conversation

Projects
None yet
2 participants
@zachriggle
Contributor

zachriggle commented May 10, 2017

The pwn template command was broken because the .mako file was not included in the manifest. This meant installs from pip install pwntools were broken and could not use this command.

After doing this, I get:

$ tar -tf dist/pwntools-3.6.0.tar.gz | grep mako
pwntools-3.6.0/pwnlib/data/templates/pwnup.mako

@zachriggle zachriggle requested a review from Idolf May 10, 2017

@zachriggle zachriggle self-assigned this May 10, 2017

@zachriggle zachriggle added the bug label May 10, 2017

@zachriggle zachriggle added this to the 3.6.0 milestone May 10, 2017

@Idolf

Idolf approved these changes May 11, 2017

@zachriggle zachriggle merged commit f82c0aa into Gallopsled:stable May 11, 2017

2 checks passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
coverage/coveralls Coverage remained the same at 56.63%
Details
@Idolf

This comment has been minimized.

Show comment
Hide comment
@Idolf

Idolf May 11, 2017

Contributor

I'm guessing this calls for a new point release?

Contributor

Idolf commented May 11, 2017

I'm guessing this calls for a new point release?

@zachriggle

This comment has been minimized.

Show comment
Hide comment
@zachriggle

zachriggle May 11, 2017

Contributor
Contributor

zachriggle commented May 11, 2017

@Idolf

This comment has been minimized.

Show comment
Hide comment
@Idolf

Idolf May 12, 2017

Contributor

This does not fix it on my system. I am getting this:

/tmp/wut> pwn template
Traceback (most recent call last):
  File "/usr/local/bin/pwn", line 11, in <module>
    sys.exit(main())
  File "/usr/local/lib/python2.7/dist-packages/pwnlib/commandline/main.py", line 51, in main
    commands[args.command](args)
  File "/usr/local/lib/python2.7/dist-packages/pwnlib/commandline/template.py", line 46, in main
    template = lookup.get_template('pwnup.mako')
  File "/usr/local/lib/python2.7/dist-packages/mako/lookup.py", line 259, in get_template
    "Cant locate template for uri %r" % uri)
mako.exceptions.TopLevelLookupException: Cant locate template for uri 'pwnup.mako'
Contributor

Idolf commented May 12, 2017

This does not fix it on my system. I am getting this:

/tmp/wut> pwn template
Traceback (most recent call last):
  File "/usr/local/bin/pwn", line 11, in <module>
    sys.exit(main())
  File "/usr/local/lib/python2.7/dist-packages/pwnlib/commandline/main.py", line 51, in main
    commands[args.command](args)
  File "/usr/local/lib/python2.7/dist-packages/pwnlib/commandline/template.py", line 46, in main
    template = lookup.get_template('pwnup.mako')
  File "/usr/local/lib/python2.7/dist-packages/mako/lookup.py", line 259, in get_template
    "Cant locate template for uri %r" % uri)
mako.exceptions.TopLevelLookupException: Cant locate template for uri 'pwnup.mako'

Idolf added a commit that referenced this pull request May 12, 2017

@Idolf

This comment has been minimized.

Show comment
Hide comment
@Idolf

Idolf May 12, 2017

Contributor

Fixed in 1a4a1e1 and was released in 3.6.1.

Contributor

Idolf commented May 12, 2017

Fixed in 1a4a1e1 and was released in 3.6.1.

@zachriggle

This comment has been minimized.

Show comment
Hide comment
@zachriggle

zachriggle May 12, 2017

Contributor
Contributor

zachriggle commented May 12, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment